Bug 2011809 - The nodes page in the openshift console doesn't work. You just get a blank page
Summary: The nodes page in the openshift console doesn't work. You just get a blank page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.10.0
Assignee: Yadan Pei
QA Contact: Yadan Pei
URL:
Whiteboard:
: 2018251 (view as bug list)
Depends On:
Blocks: 2013088
TreeView+ depends on / blocked
 
Reported: 2021-10-07 12:54 UTC by Udi Kalifon
Modified: 2022-03-10 16:18 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-10 16:17:59 UTC
Target Upstream Version:


Attachments (Terms of Use)
Computes -> Nodes list is showing (369.44 KB, image/png)
2021-10-13 03:00 UTC, Yadan Pei
no flags Details
Node Overview page (635.92 KB, image/png)
2021-10-13 03:05 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 10207 0 None open Bug 2011809: node page fail 2021-10-11 12:26:43 UTC
Red Hat Product Errata RHSA-2022:0056 0 None None None 2022-03-10 16:18:30 UTC

Description Udi Kalifon 2021-10-07 12:54:02 UTC
Description of problem:
When navigating to the Nodes page you get a blank page. Even the navigation bar and page header are gone.


Version-Release number of selected component (if applicable):
4.9.0-rc.4


How reproducible:
100%


Steps to Reproduce:
1. Deploy a multi-node cluster. I tried on 2 different clusters in libvirt environments.
2. Log in to the console.
3. Navigate to Compute->Nodes


Actual results:
Blank page


Additional info:
In the browser console (F12) you see a lot of messages like:

The connection to wss://console-openshift-console.apps.test-infra-cluster-b8f1557d.qe.lab.redhat.com/api/kubernetes/apis/metal3.io/v1alpha1/baremetalhosts?watch=true&resourceVersion=1177632 was interrupted while the page was loading.

Comment 2 Yadan Pei 2021-10-09 01:42:32 UTC
comment 1 is checked on a 4.9.0-0.nightly-2021-10-08-093633 cluster with 3 masters and 3 workers

Changing the severity and component for better investigation

Comment 7 Yadan Pei 2021-10-13 03:00:53 UTC
Created attachment 1832440 [details]
Computes -> Nodes list is showing

Comment 8 Yadan Pei 2021-10-13 03:05:22 UTC
Created attachment 1832441 [details]
Node Overview page

Setup IPI on BM cluster at 4.10.0-0.nightly-2021-10-12-203611

Now Compute -> Nodes list is showing correctly, navigation through Nodes pages works

Comment 9 Chen 2021-10-29 07:37:00 UTC
*** Bug 2018251 has been marked as a duplicate of this bug. ***

Comment 13 errata-xmlrpc 2022-03-10 16:17:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.10.3 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:0056


Note You need to log in before you can comment on or make changes to this bug.